Bug 1303566 - use_meta_volume is not set to true when auto-start option is used for geo-rep session creation.
use_meta_volume is not set to true when auto-start option is used for geo-rep...
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
3.1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Sahina Bose
RHS-C QE
: ZStream
Depends On:
Blocks: 1268895
  Show dependency treegraph
 
Reported: 2016-02-01 05:16 EST by Triveni Rao
Modified: 2017-11-22 13:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When a user selects the auto-start option in the 'Create Geo-replication Session' user interface, the use_meta_volume option is not set. This means that the geo-replication session is started without a metadata volume, which is not a recommended configuration. Workaround: After session start, go to the geo-replication options tab for the master volume and set the use_meta_volume option to true.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Triveni Rao 2016-02-01 05:16:43 EST
Description of problem:
=======================
use_meta_volume is not set to true when auto-start option is used for geo-rep session creation.

Version-Release number of selected component (if applicable):
=============================================================
Red Hat Gluster Storage Console Version: 3.1.2-0.70.el6

How reproducible:
=================
easily.

Steps to Reproduce:
===================
1.create 2 clusters with few nodes and create volumes. 
2.select a master volume and create a geo-rep session with available volume from another cluster opting for auto-start option.
3.check that geo-rep session created and started successfully.
4. if you check the geo-rep options tab for that master volume then use_meta_volume is not set to true. it will be showing false.

Actual results:
===============
 if you check the geo-rep options tab for that master volume then use_meta_volume is not set to true. it will be showing false.

Expected results:
=================
use-meta-volume option should be set to true if you are using auto-start option for geo-rep session creation from rhsc.

Additional info:
===============
Comment 3 Triveni Rao 2016-02-21 23:56:14 EST
Doc text is looks fine. to change the value of the parameter after geo-rep session start user has to go to geo-rep options tab for that master volume then check use_meta_volume option and then change that to true.
Comment 4 Sahina Bose 2016-02-22 00:36:06 EST
looks good

Note You need to log in before you can comment on or make changes to this bug.